<?php
/**
 * Database Manager Interface
 *
 * @package AIPT\Api\BulkGenerator\Interfaces
 * @since 2.4.0
 */

namespace AIPT\Api\BulkGenerator\Interfaces;

interface DatabaseManagerInterface {

    public function add_history_item( array $data ): int;

    public function update_history_status( array $where, string $status ): bool;

    public function get_history_items( array $args = array() );

    public function delete_history_items( array $where ): bool;

    public function batch_update_history_status( array $ids, string $status ): int;
}
